Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514097 - [Regression] invalid "links" URLs in REST collection response
Summary: [Regression] invalid "links" URLs in REST collection response
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: Dave Johnson
Martin Kourim
URL:
Whiteboard: api:rest
Depends On:
Blocks: 1517835
TreeView+ depends on / blocked
 
Reported: 2017-11-16 16:13 UTC by Martin Kourim
Modified: 2018-06-21 20:22 UTC (History)
2 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1517835 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:22:00 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Kourim 2017-11-16 16:13:22 UTC
Description of problem:
The URLs displayed in the "links" attribute are invalid. It applies to all collections that have the "links" attribute.

GET /api/features
...
 "links": {
        "self": "https://<address>/api/features&offset=0",
        "next": "https://<address>/api/features&offset=1000",
        "first": "https://<address>/api/features&offset=0",
        "last": "https://<address>/api/features&offset=1000"
    }

There should be "?" before the query string.

Version-Release number of selected component (if applicable):
5.9.0.8


How reproducible:
very

Comment 2 Tim Wade 2017-11-21 16:13:00 UTC
PR: https://github.com/ManageIQ/manageiq-api/pull/221


Note You need to log in before you can comment on or make changes to this bug.